Lavalite package that provides jkkll management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/jkkll`.

    "litepci/jkkll": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Jkkll\Providers\JkkllServiceProvider::class,

And also add it to alias

    'Jkkll'  => Litepci\Jkkll\Facades\Jkkll::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\JkkllTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Jkkll\Providers\JkkllServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Jkkll\Providers\JkkllServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Jkkll\Providers\JkkllServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/jkkll/{modulename}

**User**

    http://path-to-route-folder/user/jkkll/{modulename}

**Public**

    http://path-to-route-folder/jkklls


### API endpoints

**List**

    http://path-to-route-folder/api/user/jkkll/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/jkkll/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/jkkll/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/jkkll/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/jkkll/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/jkkll/{modulename}/{slug}
    METHOD: GET