<?php

// web routes  for cart
Route::prefix('{guard}/jkkll')->group(function () {
    Route::resource('cart', 'CartResourceController');
});

// Public routes for cart
Route::get('jkklls/', 'CartPublicController@index');
Route::get('jkklls/{slug?}', 'CartPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CartResourceController');
            });
            // Public routes for pages
            Route::get('jkklls/', 'CartPublicController@index');
            Route::get('jkklls/{slug?}', 'CartPublicController@show');
        }
    );
}

